commit 5942d9f72009c686ca4275371393ef7d150cd8e7
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sun Jan 4 01:19:28 2026

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index b04f77f7f01..666a54d433a 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20260103
+20260104
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index dd86df58acd..27274c86e57 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,10 @@
+2026-01-03  Eric Botcazou  <ebotcazou@gcc.gnu.org>
+
+	PR ada/123371
+	* sem_aggr.adb (Resolve_Iterated_Association): Call Preanalyze
+	instead of Analyze consistently, as well as Copy_Separate_Tree
+	instead of New_Copy_Tree.
+
 2025-12-27  Eric Botcazou  <ebotcazou@gcc.gnu.org>
 
 	PR ada/123306
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 41a20dbfdda..d569c0ca5d1 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,7 @@
+2026-01-03  Eric Botcazou  <ebotcazou@gcc.gnu.org>
+
+	* gnat.dg/specs/aggr10.ads: New test.
+
 2026-01-02  Jeff Law  <jeffrey.law@oss.qualcomm.com>
 
 	PR target/121485

